*Inheritance: EventDispatcher → BufferGeometry →*

# SkyGeometry

A procedural sky geometry.

## Import

SkyGeometry is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { SkyGeometry } from 'three/addons/misc/RollerCoaster.js';
```

## Constructor

### new SkyGeometry()

Constructs a new geometry.

## Source

[examples/jsm/misc/RollerCoaster.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/misc/RollerCoaster.js)